### Method

# Goa PasswordBased call_get_password_sync

since: 3.6.0

#### Declaration [src]

    gboolean
    goa_password_based_call_get_password_sync (
      GoaPasswordBased* proxy,
      const gchar* arg_id,
      gchar** out_password,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously invokes the GetPassword() D-Bus method on `proxy`. The calling thread is blocked until a reply is received.

See `goa_password_based_call_get_password()` for the asynchronous version of this method.

Available since: 3.6.0

#### Parameters

`arg_id`

  Type: `const gchar*`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_password`

  Type: `gchar**`

  Return location for return parameter or `NULL` to ignore.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the call succeeded, `FALSE` if `error` is set.